package org.apache.commons.lang3;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.apache.commons.lang3.ThreadUtils;

public class ThreadIdPredicate implements ThreadUtils.ThreadPredicate {
  private final long threadId;
  
  public ThreadIdPredicate(long threadId) {
    if (threadId <= 0L)
      throw new IllegalArgumentException("The thread id must be greater than zero"); 
    this.threadId = threadId;
  }
  
  public boolean test(Thread thread) {
    return (thread != null && thread.getId() == this.threadId);
  }
}
